// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class LargeStackOfLogsNAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new LargeStackOfLogsNAddonDeed();
			}
		}

		[ Constructable ]
		public LargeStackOfLogsNAddon()
		{
			AddComponent( new AddonComponent( 7138 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 7138 );
			AddComponent( ac, 0, 0, 0 );

		}

		public LargeStackOfLogsNAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class LargeStackOfLogsNAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new LargeStackOfLogsNAddon();
			}
		}

		[Constructable]
		public LargeStackOfLogsNAddonDeed()
		{
			Name = "LargeStackOfLogsN";
		}

		public LargeStackOfLogsNAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}